set term post eps color solid 16
set output "border_combined.eps"
set lmargin 10
set rmargin 10
set multiplot
set xrange [0.01:1.0]
set xtics ("0.02" 0.02, "0.05" 0.05, "0.1" 0.1, "0.2" 0.2, "0.5" 0.5)
set xlabel "Coverage Area Border Size (%)"
set logscale x
set ylabel "Overall Throughput (KBytes)"
set ytics nomirror
set noy2tics
set yrange [2000:15000]
plot "scen1a.log" u 1:($2/1000) not w p 3, "scen1b.log" u 1:($2/1000) not w p 3, \
     "scen2a.log" u 1:($2/1000) not w p 3, "scen2b.log" u 1:($2/1000) not w p 3, \
     "scen.log" u 1:($2/1000) t "throughput" w lp 3

set y2label "Total Number of Handoffs \nTotal Number of Packet Drops"
set noytics
set y2tics
set autoscale y
plot "scen1a.log" u 1:3 t " " w p 2, "scen1b.log" u 1:3 not w p 2, \
     "scen2a.log" u 1:3 not w p 2, "scen2b.log" u 1:3 not w p 2, \
     "scen.log" u 1:3 t "handoffs" w lp 2, \
     "scen1a.log" u 1:4 not w p 1, "scen1b.log" u 1:4 not w p 1, \
     "scen2a.log" u 1:4 not w p 1, "scen2b.log" u 1:4 not w p 1, \
     "scen.log" u 1:4 t "packet drops" w lp 1
