set term post eps color solid 16
set output "border_throughput.eps"
set size 1.0,0.4
set lmargin 10
set xrange [0.01:1.0]
set xtics ("0.02" 0.02, "0.05" 0.05, "0.1" 0.1, "0.2" 0.2, "0.5" 0.5)
set xlabel "Coverage Area Border Size (%)"
set logscale x
set ytics nomirror
set ylabel "Overall Throughput (KBytes)"
set yrange [11000:12000]
plot "scen.log" u 1:($2/1000) t "throughput" w lp 3

set output "border_handoffs.eps"
set ylabel "Total Number of Handoffs"
set yrange [100:205]
plot "scen.log" u 1:3 t "handoffs" w lp 2

set output "border_drops.eps"
set ylabel "Total Number of Packet Drops"
set yrange [3000:3200]
plot "scen.log" u 1:4 t "packet drops" w lp 1
