ns-random 0.1

set ns_ [new Simulator]
$ns_ node-config -addressType hierarchical

AddrParams set domain_num_ 13
lappend cluster_num 1 2 1 1 1 1 1 1 1 1 1 1 1
AddrParams set cluster_num_ $cluster_num
lappend eilastlevel 11 1 1 1 1 1 1 1 1 1 1 1 1 1
AddrParams set nodes_num_ $eilastlevel

set tracefd [open output/mmh.tr w]
$ns_ trace-all $tracefd

set topo [new Topography]
$topo load_flatgrid 100 75
set god_ [create-god 24]

# wired nodes
set node_(0) [$ns_ node 1.0.0]
set node_(1) [$ns_ node 1.1.0]

$ns_ node-config -mobileIP ON \
                  -adhocRouting NOAH \
                  -llType LL \
                  -macType Mac/802_11 \
                  -ifqType Queue/DropTail/PriQueue \
                  -ifqLen 50 \
                  -antType Antenna/OmniAntenna \
                  -propType Propagation/SimpleDistance \
                  -phyType Phy/WirelessPhy \
                  -channelType Channel/WirelessChannel \
	 	  -topoInstance $topo \
                  -wiredRouting ON \
		  -agentTrace ON \
                  -routerTrace OFF \
                  -macTrace ON

# home agents
$ns_ node-config -rxPower 0.01 -txPower 0.01
set node_(2) [$ns_ node 0.0.0]
[$node_(2) set regagent_] priority 4

$ns_ node-config -wiredRouting OFF

# mobile agents
$ns_ node-config -rxPower 126 -txPower 126
set node_(3) [$ns_ node 0.0.1]
[$node_(3) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(4) [$ns_ node 0.0.2]
[$node_(4) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(5) [$ns_ node 0.0.3]
[$node_(5) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(6) [$ns_ node 0.0.4]
[$node_(6) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(7) [$ns_ node 0.0.5]
[$node_(7) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(8) [$ns_ node 0.0.6]
[$node_(8) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(9) [$ns_ node 0.0.7]
[$node_(9) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(10) [$ns_ node 0.0.8]
[$node_(10) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(11) [$ns_ node 0.0.9]
[$node_(11) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(12) [$ns_ node 0.0.10]
[$node_(12) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]

$ns_ node-config -wiredRouting ON

# foreign agents
$ns_ node-config -rxPower 3.0 -txPower 3.0
set node_(13) [$ns_ node 2.0.0]
[$node_(13) set regagent_] priority 1
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(14) [$ns_ node 3.0.0]
[$node_(14) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(15) [$ns_ node 4.0.0]
[$node_(15) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(16) [$ns_ node 5.0.0]
[$node_(16) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(17) [$ns_ node 6.0.0]
[$node_(17) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(18) [$ns_ node 7.0.0]
[$node_(18) set regagent_] priority 2
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(19) [$ns_ node 8.0.0]
[$node_(19) set regagent_] priority 1
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(20) [$ns_ node 9.0.0]
[$node_(20) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(21) [$ns_ node 10.0.0]
[$node_(21) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(22) [$ns_ node 11.0.0]
[$node_(22) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(23) [$ns_ node 12.0.0]
[$node_(23) set regagent_] priority 1

# source connection-pattern and node-movement scripts
source "mmh.scn"
source "mmh.com"

# Tell all nodes when the simulation ends
for {set i 0} {$i < 24 } {incr i} {
    $ns_ at 300.0 "$node_($i) reset";
}

# Progress
for {set t 10} {$t < 300} {incr t 10} {
    $ns_ at $t "puts stderr \"completed through $t/300 secs...\""
}

$ns_ at 0.0 "puts stderr \"Simulation started...\""
$ns_ at 300.0000 "puts stderr \"Simulation finished\""
$ns_ at 300.0001 "close $tracefd"
$ns_ at 300.0002 "exec run_plot_tp.sh mmh.tr 3 4 5 6 7 8 9 10 11 12"
$ns_ at 300.0003 "$ns_ halt"

puts $tracefd "M 0.0 nn 24 x 100 y 75 rp NOAH"
puts $tracefd "M 0.0 sc mmh.scn cp mmh.com seed 0"

$ns_ run

