
set ns_ [new Simulator]
$ns_ node-config -addressType hierarchical

AddrParams set domain_num_ 4
lappend cluster_num 1 3 29 29
AddrParams set cluster_num_ $cluster_num
lappend eilastlevel 2 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
AddrParams set nodes_num_ $eilastlevel

set tracefd [open output/2areas.tr w]
$ns_ trace-all $tracefd

set topo [new Topography]
$topo load_flatgrid 5000 4000
set god_ [create-god 63]

# wired nodes
set node_(0) [$ns_ node 1.0.0]
set node_(1) [$ns_ node 1.1.0]
set node_(2) [$ns_ node 1.2.0]

$ns_ node-config -mobileIP ON \
                  -adhocRouting NOAH \
                  -llType LL \
                  -macType Mac/802_11 \
                  -ifqType Queue/DropTail/PriQueue \
                  -ifqLen 50 \
                  -antType Antenna/OmniAntenna \
                  -propType Propagation/SimpleDistance \
                  -phyType Phy/WirelessPhy \
                  -channelType Channel/WirelessChannel \
	 	  -topoInstance $topo \
                  -wiredRouting ON \
		  -agentTrace ON \
                  -routerTrace OFF \
                  -macTrace ON

# home agents
$ns_ node-config -rxPower 250 -txPower 250
set node_(3) [$ns_ node 0.0.0]
[$node_(3) set regagent_] priority 3

$ns_ node-config -wiredRouting OFF

# mobile agents
$ns_ node-config -rxPower 6403.12423743285 -txPower 6403.12423743285
set node_(4) [$ns_ node 0.0.1]
[$node_(4) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(3) node-addr]]

$ns_ node-config -wiredRouting ON

# foreign agents
$ns_ node-config -rxPower 200.0 -txPower 200.0
set node_(5) [$ns_ node 2.0.0]
[$node_(5) set regagent_] priority 2
set node_(6) [$ns_ node 2.1.0]
[$node_(6) set regagent_] priority 2
set node_(7) [$ns_ node 2.2.0]
[$node_(7) set regagent_] priority 2
set node_(8) [$ns_ node 2.3.0]
[$node_(8) set regagent_] priority 2
set node_(9) [$ns_ node 2.4.0]
[$node_(9) set regagent_] priority 2
set node_(10) [$ns_ node 2.5.0]
[$node_(10) set regagent_] priority 2
set node_(11) [$ns_ node 2.6.0]
[$node_(11) set regagent_] priority 2
set node_(12) [$ns_ node 2.7.0]
[$node_(12) set regagent_] priority 2
set node_(13) [$ns_ node 2.8.0]
[$node_(13) set regagent_] priority 2
set node_(14) [$ns_ node 2.9.0]
[$node_(14) set regagent_] priority 2
set node_(15) [$ns_ node 2.10.0]
[$node_(15) set regagent_] priority 2
set node_(16) [$ns_ node 2.11.0]
[$node_(16) set regagent_] priority 2
set node_(17) [$ns_ node 2.12.0]
[$node_(17) set regagent_] priority 2
set node_(18) [$ns_ node 2.13.0]
[$node_(18) set regagent_] priority 2
set node_(19) [$ns_ node 2.14.0]
[$node_(19) set regagent_] priority 2
set node_(20) [$ns_ node 2.15.0]
[$node_(20) set regagent_] priority 2
set node_(21) [$ns_ node 2.16.0]
[$node_(21) set regagent_] priority 2
set node_(22) [$ns_ node 2.17.0]
[$node_(22) set regagent_] priority 2
set node_(23) [$ns_ node 2.18.0]
[$node_(23) set regagent_] priority 2
set node_(24) [$ns_ node 2.19.0]
[$node_(24) set regagent_] priority 2
set node_(25) [$ns_ node 2.20.0]
[$node_(25) set regagent_] priority 2
set node_(26) [$ns_ node 2.21.0]
[$node_(26) set regagent_] priority 2
set node_(27) [$ns_ node 2.22.0]
[$node_(27) set regagent_] priority 2
set node_(28) [$ns_ node 2.23.0]
[$node_(28) set regagent_] priority 2
set node_(29) [$ns_ node 2.24.0]
[$node_(29) set regagent_] priority 2
set node_(30) [$ns_ node 2.25.0]
[$node_(30) set regagent_] priority 2
set node_(31) [$ns_ node 2.26.0]
[$node_(31) set regagent_] priority 2
set node_(32) [$ns_ node 2.27.0]
[$node_(32) set regagent_] priority 2
set node_(33) [$ns_ node 2.28.0]
[$node_(33) set regagent_] priority 2
$ns_ node-config -rxPower 250.0 -txPower 250.0
set node_(34) [$ns_ node 3.0.0]
[$node_(34) set regagent_] priority 1
set node_(35) [$ns_ node 3.1.0]
[$node_(35) set regagent_] priority 1
set node_(36) [$ns_ node 3.2.0]
[$node_(36) set regagent_] priority 1
set node_(37) [$ns_ node 3.3.0]
[$node_(37) set regagent_] priority 1
set node_(38) [$ns_ node 3.4.0]
[$node_(38) set regagent_] priority 1
set node_(39) [$ns_ node 3.5.0]
[$node_(39) set regagent_] priority 1
set node_(40) [$ns_ node 3.6.0]
[$node_(40) set regagent_] priority 1
set node_(41) [$ns_ node 3.7.0]
[$node_(41) set regagent_] priority 1
set node_(42) [$ns_ node 3.8.0]
[$node_(42) set regagent_] priority 1
set node_(43) [$ns_ node 3.9.0]
[$node_(43) set regagent_] priority 1
set node_(44) [$ns_ node 3.10.0]
[$node_(44) set regagent_] priority 1
set node_(45) [$ns_ node 3.11.0]
[$node_(45) set regagent_] priority 1
set node_(46) [$ns_ node 3.12.0]
[$node_(46) set regagent_] priority 1
set node_(47) [$ns_ node 3.13.0]
[$node_(47) set regagent_] priority 1
set node_(48) [$ns_ node 3.14.0]
[$node_(48) set regagent_] priority 1
set node_(49) [$ns_ node 3.15.0]
[$node_(49) set regagent_] priority 1
set node_(50) [$ns_ node 3.16.0]
[$node_(50) set regagent_] priority 1
set node_(51) [$ns_ node 3.17.0]
[$node_(51) set regagent_] priority 1
set node_(52) [$ns_ node 3.18.0]
[$node_(52) set regagent_] priority 1
set node_(53) [$ns_ node 3.19.0]
[$node_(53) set regagent_] priority 1
set node_(54) [$ns_ node 3.20.0]
[$node_(54) set regagent_] priority 1
set node_(55) [$ns_ node 3.21.0]
[$node_(55) set regagent_] priority 1
set node_(56) [$ns_ node 3.22.0]
[$node_(56) set regagent_] priority 1
set node_(57) [$ns_ node 3.23.0]
[$node_(57) set regagent_] priority 1
set node_(58) [$ns_ node 3.24.0]
[$node_(58) set regagent_] priority 1
set node_(59) [$ns_ node 3.25.0]
[$node_(59) set regagent_] priority 1
set node_(60) [$ns_ node 3.26.0]
[$node_(60) set regagent_] priority 1
set node_(61) [$ns_ node 3.27.0]
[$node_(61) set regagent_] priority 1
set node_(62) [$ns_ node 3.28.0]
[$node_(62) set regagent_] priority 1

# source connection-pattern and node-movement scripts
source "2areas.scn"
source "2areas.com"

# Tell all nodes when the simulation ends
for {set i 0} {$i < 63 } {incr i} {
    $ns_ at 150.0 "$node_($i) reset";
}

# Progress
for {set t 10} {$t < 150} {incr t 10} {
    $ns_ at $t "puts stderr \"completed through $t/150 secs...\""
}

$ns_ at 0.0 "puts stderr \"Simulation started...\""
$ns_ at 150.0000 "puts stderr \"Simulation finished\""
$ns_ at 150.0001 "close $tracefd"
$ns_ at 150.00020 "exec grep tcp output/2areas.tr > output/2areas2.tr"
$ns_ at 150.0003 "$ns_ halt"

puts $tracefd "M 0.0 nn 63 x 5000 y 4000 rp NOAH"
puts $tracefd "M 0.0 sc 2areas.scn cp 2areas.com seed 0"

$ns_ run

