
set ns_ [new Simulator]
$ns_ node-config -addressType hierarchical

AddrParams set domain_num_ 6
lappend cluster_num 1 4 29 29 13 29
AddrParams set cluster_num_ $cluster_num
lappend eilastlevel 2 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
AddrParams set nodes_num_ $eilastlevel

set tracefd [open output/handoff.tr w]
$ns_ trace-all $tracefd

set topo [new Topography]
$topo load_flatgrid 600 450
set god_ [create-god 106]

# wired nodes
set node_(0) [$ns_ node 1.0.0]
set node_(1) [$ns_ node 1.1.0]
set node_(2) [$ns_ node 1.2.0]
set node_(3) [$ns_ node 1.3.0]

$ns_ node-config -mobileIP ON \
                  -adhocRouting NOAH \
                  -llType LL \
                  -macType Mac/802_11 \
                  -ifqType Queue/DropTail/PriQueue \
                  -ifqLen 50 \
                  -antType Antenna/OmniAntenna \
                  -propType Propagation/SimpleDistance \
                  -phyType Phy/WirelessPhy \
                  -channelType Channel/WirelessChannel \
	 	  -topoInstance $topo \
                  -wiredRouting ON \
		  -agentTrace ON \
                  -routerTrace OFF \
                  -macTrace ON

# home agents
$ns_ node-config -rxPower 1.0 -txPower 1.0
set node_(4) [$ns_ node 0.0.0]
[$node_(4) set regagent_] priority 3

$ns_ node-config -wiredRouting OFF

# mobile agents
$ns_ node-config -rxPower 751 -txPower 751
set node_(5) [$ns_ node 0.0.1]
[$node_(5) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(4) node-addr]]

$ns_ node-config -wiredRouting ON

# foreign agents
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(6) [$ns_ node 2.0.0]
[$node_(6) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(7) [$ns_ node 2.1.0]
[$node_(7) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(8) [$ns_ node 2.2.0]
[$node_(8) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(9) [$ns_ node 2.3.0]
[$node_(9) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(10) [$ns_ node 2.4.0]
[$node_(10) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(11) [$ns_ node 2.5.0]
[$node_(11) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(12) [$ns_ node 2.6.0]
[$node_(12) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(13) [$ns_ node 2.7.0]
[$node_(13) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(14) [$ns_ node 2.8.0]
[$node_(14) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(15) [$ns_ node 2.9.0]
[$node_(15) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(16) [$ns_ node 2.10.0]
[$node_(16) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(17) [$ns_ node 2.11.0]
[$node_(17) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(18) [$ns_ node 2.12.0]
[$node_(18) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(19) [$ns_ node 2.13.0]
[$node_(19) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(20) [$ns_ node 2.14.0]
[$node_(20) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(21) [$ns_ node 2.15.0]
[$node_(21) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(22) [$ns_ node 2.16.0]
[$node_(22) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(23) [$ns_ node 2.17.0]
[$node_(23) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(24) [$ns_ node 2.18.0]
[$node_(24) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(25) [$ns_ node 2.19.0]
[$node_(25) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(26) [$ns_ node 2.20.0]
[$node_(26) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(27) [$ns_ node 2.21.0]
[$node_(27) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(28) [$ns_ node 2.22.0]
[$node_(28) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(29) [$ns_ node 2.23.0]
[$node_(29) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(30) [$ns_ node 2.24.0]
[$node_(30) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(31) [$ns_ node 2.25.0]
[$node_(31) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(32) [$ns_ node 2.26.0]
[$node_(32) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(33) [$ns_ node 2.27.0]
[$node_(33) set regagent_] priority 1
$ns_ node-config -rxPower 25.0 -txPower 25.0
set node_(34) [$ns_ node 2.28.0]
[$node_(34) set regagent_] priority 1
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(35) [$ns_ node 3.0.0]
[$node_(35) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(36) [$ns_ node 3.1.0]
[$node_(36) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(37) [$ns_ node 3.2.0]
[$node_(37) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(38) [$ns_ node 3.3.0]
[$node_(38) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(39) [$ns_ node 3.4.0]
[$node_(39) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(40) [$ns_ node 3.5.0]
[$node_(40) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(41) [$ns_ node 3.6.0]
[$node_(41) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(42) [$ns_ node 3.7.0]
[$node_(42) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(43) [$ns_ node 3.8.0]
[$node_(43) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(44) [$ns_ node 3.9.0]
[$node_(44) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(45) [$ns_ node 3.10.0]
[$node_(45) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(46) [$ns_ node 3.11.0]
[$node_(46) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(47) [$ns_ node 3.12.0]
[$node_(47) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(48) [$ns_ node 3.13.0]
[$node_(48) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(49) [$ns_ node 3.14.0]
[$node_(49) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(50) [$ns_ node 3.15.0]
[$node_(50) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(51) [$ns_ node 3.16.0]
[$node_(51) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(52) [$ns_ node 3.17.0]
[$node_(52) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(53) [$ns_ node 3.18.0]
[$node_(53) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(54) [$ns_ node 3.19.0]
[$node_(54) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(55) [$ns_ node 3.20.0]
[$node_(55) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(56) [$ns_ node 3.21.0]
[$node_(56) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(57) [$ns_ node 3.22.0]
[$node_(57) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(58) [$ns_ node 3.23.0]
[$node_(58) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(59) [$ns_ node 3.24.0]
[$node_(59) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(60) [$ns_ node 3.25.0]
[$node_(60) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(61) [$ns_ node 3.26.0]
[$node_(61) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(62) [$ns_ node 3.27.0]
[$node_(62) set regagent_] priority 2
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(63) [$ns_ node 3.28.0]
[$node_(63) set regagent_] priority 2
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(64) [$ns_ node 4.0.0]
[$node_(64) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(65) [$ns_ node 4.1.0]
[$node_(65) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(66) [$ns_ node 4.2.0]
[$node_(66) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(67) [$ns_ node 4.3.0]
[$node_(67) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(68) [$ns_ node 4.4.0]
[$node_(68) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(69) [$ns_ node 4.5.0]
[$node_(69) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(70) [$ns_ node 4.6.0]
[$node_(70) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(71) [$ns_ node 4.7.0]
[$node_(71) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(72) [$ns_ node 4.8.0]
[$node_(72) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(73) [$ns_ node 4.9.0]
[$node_(73) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(74) [$ns_ node 4.10.0]
[$node_(74) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(75) [$ns_ node 4.11.0]
[$node_(75) set regagent_] priority 3
$ns_ node-config -rxPower 16.0 -txPower 16.0
set node_(76) [$ns_ node 4.12.0]
[$node_(76) set regagent_] priority 3
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(77) [$ns_ node 5.0.0]
[$node_(77) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(78) [$ns_ node 5.1.0]
[$node_(78) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(79) [$ns_ node 5.2.0]
[$node_(79) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(80) [$ns_ node 5.3.0]
[$node_(80) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(81) [$ns_ node 5.4.0]
[$node_(81) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(82) [$ns_ node 5.5.0]
[$node_(82) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(83) [$ns_ node 5.6.0]
[$node_(83) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(84) [$ns_ node 5.7.0]
[$node_(84) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(85) [$ns_ node 5.8.0]
[$node_(85) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(86) [$ns_ node 5.9.0]
[$node_(86) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(87) [$ns_ node 5.10.0]
[$node_(87) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(88) [$ns_ node 5.11.0]
[$node_(88) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(89) [$ns_ node 5.12.0]
[$node_(89) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(90) [$ns_ node 5.13.0]
[$node_(90) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(91) [$ns_ node 5.14.0]
[$node_(91) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(92) [$ns_ node 5.15.0]
[$node_(92) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(93) [$ns_ node 5.16.0]
[$node_(93) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(94) [$ns_ node 5.17.0]
[$node_(94) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(95) [$ns_ node 5.18.0]
[$node_(95) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(96) [$ns_ node 5.19.0]
[$node_(96) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(97) [$ns_ node 5.20.0]
[$node_(97) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(98) [$ns_ node 5.21.0]
[$node_(98) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(99) [$ns_ node 5.22.0]
[$node_(99) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(100) [$ns_ node 5.23.0]
[$node_(100) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(101) [$ns_ node 5.24.0]
[$node_(101) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(102) [$ns_ node 5.25.0]
[$node_(102) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(103) [$ns_ node 5.26.0]
[$node_(103) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(104) [$ns_ node 5.27.0]
[$node_(104) set regagent_] priority 1
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(105) [$ns_ node 5.28.0]
[$node_(105) set regagent_] priority 1

# source connection-pattern and node-movement scripts
source "handoff.scn"
source "handoff.com"

# Tell all nodes when the simulation ends
for {set i 0} {$i < 106 } {incr i} {
    $ns_ at 160.0 "$node_($i) reset";
}

# Progress
for {set t 10} {$t < 160} {incr t 10} {
    $ns_ at $t "puts stderr \"completed through $t/160 secs...\""
}

$ns_ at 0.0 "puts stderr \"Simulation started...\""
$ns_ at 160.0000 "puts stderr \"Simulation finished\""
$ns_ at 160.0001 "close $tracefd"
$ns_ at 160.0002 "exec run_plot_tp.sh handoff.tr"
$ns_ at 160.0003 "$ns_ halt"

puts $tracefd "M 0.0 nn 106 x 600 y 450 rp NOAH"
puts $tracefd "M 0.0 sc handoff.scn cp handoff.com seed 0"

$ns_ run

