
set ns_ [new Simulator]
$ns_ node-config -addressType hierarchical

AddrParams set domain_num_ 13
lappend cluster_num 1 2 1 1 1 1 1 1 1 1 1 1 1
AddrParams set cluster_num_ $cluster_num
lappend eilastlevel 257 1 1 1 1 1 1 1 1 1 1 1 1 1
AddrParams set nodes_num_ $eilastlevel

set tracefd [open output/mmh.tr w]
$ns_ trace-all $tracefd

set topo [new Topography]
$topo load_flatgrid 100 75
set god_ [create-god 270]

# wired nodes
set node_(0) [$ns_ node 1.0.0]
set node_(1) [$ns_ node 1.1.0]

$ns_ node-config -mobileIP ON \
                  -adhocRouting NOAH \
                  -llType LL \
                  -macType Mac/802_11 \
                  -ifqType Queue/DropTail/PriQueue \
                  -ifqLen 50 \
                  -antType Antenna/OmniAntenna \
                  -propType Propagation/SimpleDistance \
                  -phyType Phy/WirelessPhy \
                  -channelType Channel/WirelessChannel \
	 	  -topoInstance $topo \
                  -wiredRouting ON \
		  -agentTrace ON \
                  -routerTrace OFF \
                  -macTrace ON

# home agents
$ns_ node-config -rxPower 0.01 -txPower 0.01
set node_(2) [$ns_ node 0.0.0]
[$node_(2) set regagent_] priority 4

$ns_ node-config -wiredRouting OFF

# mobile agents
$ns_ node-config -rxPower 126 -txPower 126
set node_(3) [$ns_ node 0.0.1]
[$node_(3) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(4) [$ns_ node 0.0.2]
[$node_(4) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(5) [$ns_ node 0.0.3]
[$node_(5) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(6) [$ns_ node 0.0.4]
[$node_(6) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(7) [$ns_ node 0.0.5]
[$node_(7) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(8) [$ns_ node 0.0.6]
[$node_(8) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(9) [$ns_ node 0.0.7]
[$node_(9) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(10) [$ns_ node 0.0.8]
[$node_(10) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(11) [$ns_ node 0.0.9]
[$node_(11) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(12) [$ns_ node 0.0.10]
[$node_(12) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(13) [$ns_ node 0.0.11]
[$node_(13) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(14) [$ns_ node 0.0.12]
[$node_(14) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(15) [$ns_ node 0.0.13]
[$node_(15) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(16) [$ns_ node 0.0.14]
[$node_(16) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(17) [$ns_ node 0.0.15]
[$node_(17) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(18) [$ns_ node 0.0.16]
[$node_(18) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(19) [$ns_ node 0.0.17]
[$node_(19) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(20) [$ns_ node 0.0.18]
[$node_(20) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(21) [$ns_ node 0.0.19]
[$node_(21) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(22) [$ns_ node 0.0.20]
[$node_(22) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(23) [$ns_ node 0.0.21]
[$node_(23) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(24) [$ns_ node 0.0.22]
[$node_(24) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(25) [$ns_ node 0.0.23]
[$node_(25) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(26) [$ns_ node 0.0.24]
[$node_(26) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(27) [$ns_ node 0.0.25]
[$node_(27) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(28) [$ns_ node 0.0.26]
[$node_(28) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(29) [$ns_ node 0.0.27]
[$node_(29) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(30) [$ns_ node 0.0.28]
[$node_(30) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(31) [$ns_ node 0.0.29]
[$node_(31) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(32) [$ns_ node 0.0.30]
[$node_(32) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(33) [$ns_ node 0.0.31]
[$node_(33) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(34) [$ns_ node 0.0.32]
[$node_(34) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(35) [$ns_ node 0.0.33]
[$node_(35) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(36) [$ns_ node 0.0.34]
[$node_(36) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(37) [$ns_ node 0.0.35]
[$node_(37) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(38) [$ns_ node 0.0.36]
[$node_(38) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(39) [$ns_ node 0.0.37]
[$node_(39) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(40) [$ns_ node 0.0.38]
[$node_(40) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(41) [$ns_ node 0.0.39]
[$node_(41) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(42) [$ns_ node 0.0.40]
[$node_(42) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(43) [$ns_ node 0.0.41]
[$node_(43) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(44) [$ns_ node 0.0.42]
[$node_(44) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(45) [$ns_ node 0.0.43]
[$node_(45) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(46) [$ns_ node 0.0.44]
[$node_(46) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(47) [$ns_ node 0.0.45]
[$node_(47) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(48) [$ns_ node 0.0.46]
[$node_(48) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(49) [$ns_ node 0.0.47]
[$node_(49) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(50) [$ns_ node 0.0.48]
[$node_(50) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(51) [$ns_ node 0.0.49]
[$node_(51) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(52) [$ns_ node 0.0.50]
[$node_(52) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(53) [$ns_ node 0.0.51]
[$node_(53) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(54) [$ns_ node 0.0.52]
[$node_(54) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(55) [$ns_ node 0.0.53]
[$node_(55) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(56) [$ns_ node 0.0.54]
[$node_(56) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(57) [$ns_ node 0.0.55]
[$node_(57) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(58) [$ns_ node 0.0.56]
[$node_(58) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(59) [$ns_ node 0.0.57]
[$node_(59) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(60) [$ns_ node 0.0.58]
[$node_(60) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(61) [$ns_ node 0.0.59]
[$node_(61) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(62) [$ns_ node 0.0.60]
[$node_(62) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(63) [$ns_ node 0.0.61]
[$node_(63) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(64) [$ns_ node 0.0.62]
[$node_(64) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(65) [$ns_ node 0.0.63]
[$node_(65) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(66) [$ns_ node 0.0.64]
[$node_(66) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(67) [$ns_ node 0.0.65]
[$node_(67) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(68) [$ns_ node 0.0.66]
[$node_(68) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(69) [$ns_ node 0.0.67]
[$node_(69) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(70) [$ns_ node 0.0.68]
[$node_(70) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(71) [$ns_ node 0.0.69]
[$node_(71) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(72) [$ns_ node 0.0.70]
[$node_(72) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(73) [$ns_ node 0.0.71]
[$node_(73) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(74) [$ns_ node 0.0.72]
[$node_(74) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(75) [$ns_ node 0.0.73]
[$node_(75) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(76) [$ns_ node 0.0.74]
[$node_(76) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(77) [$ns_ node 0.0.75]
[$node_(77) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(78) [$ns_ node 0.0.76]
[$node_(78) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(79) [$ns_ node 0.0.77]
[$node_(79) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(80) [$ns_ node 0.0.78]
[$node_(80) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(81) [$ns_ node 0.0.79]
[$node_(81) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(82) [$ns_ node 0.0.80]
[$node_(82) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(83) [$ns_ node 0.0.81]
[$node_(83) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(84) [$ns_ node 0.0.82]
[$node_(84) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(85) [$ns_ node 0.0.83]
[$node_(85) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(86) [$ns_ node 0.0.84]
[$node_(86) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(87) [$ns_ node 0.0.85]
[$node_(87) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(88) [$ns_ node 0.0.86]
[$node_(88) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(89) [$ns_ node 0.0.87]
[$node_(89) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(90) [$ns_ node 0.0.88]
[$node_(90) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(91) [$ns_ node 0.0.89]
[$node_(91) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(92) [$ns_ node 0.0.90]
[$node_(92) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(93) [$ns_ node 0.0.91]
[$node_(93) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(94) [$ns_ node 0.0.92]
[$node_(94) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(95) [$ns_ node 0.0.93]
[$node_(95) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(96) [$ns_ node 0.0.94]
[$node_(96) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(97) [$ns_ node 0.0.95]
[$node_(97) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(98) [$ns_ node 0.0.96]
[$node_(98) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(99) [$ns_ node 0.0.97]
[$node_(99) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(100) [$ns_ node 0.0.98]
[$node_(100) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(101) [$ns_ node 0.0.99]
[$node_(101) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(102) [$ns_ node 0.0.100]
[$node_(102) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(103) [$ns_ node 0.0.101]
[$node_(103) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(104) [$ns_ node 0.0.102]
[$node_(104) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(105) [$ns_ node 0.0.103]
[$node_(105) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(106) [$ns_ node 0.0.104]
[$node_(106) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(107) [$ns_ node 0.0.105]
[$node_(107) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(108) [$ns_ node 0.0.106]
[$node_(108) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(109) [$ns_ node 0.0.107]
[$node_(109) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(110) [$ns_ node 0.0.108]
[$node_(110) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(111) [$ns_ node 0.0.109]
[$node_(111) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(112) [$ns_ node 0.0.110]
[$node_(112) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(113) [$ns_ node 0.0.111]
[$node_(113) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(114) [$ns_ node 0.0.112]
[$node_(114) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(115) [$ns_ node 0.0.113]
[$node_(115) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(116) [$ns_ node 0.0.114]
[$node_(116) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(117) [$ns_ node 0.0.115]
[$node_(117) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(118) [$ns_ node 0.0.116]
[$node_(118) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(119) [$ns_ node 0.0.117]
[$node_(119) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(120) [$ns_ node 0.0.118]
[$node_(120) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(121) [$ns_ node 0.0.119]
[$node_(121) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(122) [$ns_ node 0.0.120]
[$node_(122) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(123) [$ns_ node 0.0.121]
[$node_(123) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(124) [$ns_ node 0.0.122]
[$node_(124) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(125) [$ns_ node 0.0.123]
[$node_(125) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(126) [$ns_ node 0.0.124]
[$node_(126) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(127) [$ns_ node 0.0.125]
[$node_(127) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(128) [$ns_ node 0.0.126]
[$node_(128) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(129) [$ns_ node 0.0.127]
[$node_(129) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(130) [$ns_ node 0.0.128]
[$node_(130) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(131) [$ns_ node 0.0.129]
[$node_(131) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(132) [$ns_ node 0.0.130]
[$node_(132) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(133) [$ns_ node 0.0.131]
[$node_(133) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(134) [$ns_ node 0.0.132]
[$node_(134) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(135) [$ns_ node 0.0.133]
[$node_(135) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(136) [$ns_ node 0.0.134]
[$node_(136) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(137) [$ns_ node 0.0.135]
[$node_(137) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(138) [$ns_ node 0.0.136]
[$node_(138) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(139) [$ns_ node 0.0.137]
[$node_(139) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(140) [$ns_ node 0.0.138]
[$node_(140) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(141) [$ns_ node 0.0.139]
[$node_(141) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(142) [$ns_ node 0.0.140]
[$node_(142) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(143) [$ns_ node 0.0.141]
[$node_(143) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(144) [$ns_ node 0.0.142]
[$node_(144) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(145) [$ns_ node 0.0.143]
[$node_(145) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(146) [$ns_ node 0.0.144]
[$node_(146) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(147) [$ns_ node 0.0.145]
[$node_(147) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(148) [$ns_ node 0.0.146]
[$node_(148) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(149) [$ns_ node 0.0.147]
[$node_(149) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(150) [$ns_ node 0.0.148]
[$node_(150) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(151) [$ns_ node 0.0.149]
[$node_(151) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(152) [$ns_ node 0.0.150]
[$node_(152) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(153) [$ns_ node 0.0.151]
[$node_(153) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(154) [$ns_ node 0.0.152]
[$node_(154) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(155) [$ns_ node 0.0.153]
[$node_(155) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(156) [$ns_ node 0.0.154]
[$node_(156) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(157) [$ns_ node 0.0.155]
[$node_(157) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(158) [$ns_ node 0.0.156]
[$node_(158) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(159) [$ns_ node 0.0.157]
[$node_(159) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(160) [$ns_ node 0.0.158]
[$node_(160) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(161) [$ns_ node 0.0.159]
[$node_(161) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(162) [$ns_ node 0.0.160]
[$node_(162) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(163) [$ns_ node 0.0.161]
[$node_(163) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(164) [$ns_ node 0.0.162]
[$node_(164) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(165) [$ns_ node 0.0.163]
[$node_(165) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(166) [$ns_ node 0.0.164]
[$node_(166) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(167) [$ns_ node 0.0.165]
[$node_(167) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(168) [$ns_ node 0.0.166]
[$node_(168) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(169) [$ns_ node 0.0.167]
[$node_(169) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(170) [$ns_ node 0.0.168]
[$node_(170) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(171) [$ns_ node 0.0.169]
[$node_(171) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(172) [$ns_ node 0.0.170]
[$node_(172) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(173) [$ns_ node 0.0.171]
[$node_(173) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(174) [$ns_ node 0.0.172]
[$node_(174) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(175) [$ns_ node 0.0.173]
[$node_(175) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(176) [$ns_ node 0.0.174]
[$node_(176) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(177) [$ns_ node 0.0.175]
[$node_(177) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(178) [$ns_ node 0.0.176]
[$node_(178) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(179) [$ns_ node 0.0.177]
[$node_(179) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(180) [$ns_ node 0.0.178]
[$node_(180) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(181) [$ns_ node 0.0.179]
[$node_(181) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(182) [$ns_ node 0.0.180]
[$node_(182) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(183) [$ns_ node 0.0.181]
[$node_(183) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(184) [$ns_ node 0.0.182]
[$node_(184) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(185) [$ns_ node 0.0.183]
[$node_(185) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(186) [$ns_ node 0.0.184]
[$node_(186) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(187) [$ns_ node 0.0.185]
[$node_(187) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(188) [$ns_ node 0.0.186]
[$node_(188) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(189) [$ns_ node 0.0.187]
[$node_(189) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(190) [$ns_ node 0.0.188]
[$node_(190) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(191) [$ns_ node 0.0.189]
[$node_(191) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(192) [$ns_ node 0.0.190]
[$node_(192) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(193) [$ns_ node 0.0.191]
[$node_(193) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(194) [$ns_ node 0.0.192]
[$node_(194) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(195) [$ns_ node 0.0.193]
[$node_(195) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(196) [$ns_ node 0.0.194]
[$node_(196) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(197) [$ns_ node 0.0.195]
[$node_(197) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(198) [$ns_ node 0.0.196]
[$node_(198) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(199) [$ns_ node 0.0.197]
[$node_(199) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(200) [$ns_ node 0.0.198]
[$node_(200) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(201) [$ns_ node 0.0.199]
[$node_(201) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(202) [$ns_ node 0.0.200]
[$node_(202) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(203) [$ns_ node 0.0.201]
[$node_(203) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(204) [$ns_ node 0.0.202]
[$node_(204) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(205) [$ns_ node 0.0.203]
[$node_(205) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(206) [$ns_ node 0.0.204]
[$node_(206) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(207) [$ns_ node 0.0.205]
[$node_(207) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(208) [$ns_ node 0.0.206]
[$node_(208) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(209) [$ns_ node 0.0.207]
[$node_(209) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(210) [$ns_ node 0.0.208]
[$node_(210) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(211) [$ns_ node 0.0.209]
[$node_(211) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(212) [$ns_ node 0.0.210]
[$node_(212) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(213) [$ns_ node 0.0.211]
[$node_(213) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(214) [$ns_ node 0.0.212]
[$node_(214) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(215) [$ns_ node 0.0.213]
[$node_(215) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(216) [$ns_ node 0.0.214]
[$node_(216) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(217) [$ns_ node 0.0.215]
[$node_(217) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(218) [$ns_ node 0.0.216]
[$node_(218) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(219) [$ns_ node 0.0.217]
[$node_(219) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(220) [$ns_ node 0.0.218]
[$node_(220) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(221) [$ns_ node 0.0.219]
[$node_(221) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(222) [$ns_ node 0.0.220]
[$node_(222) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(223) [$ns_ node 0.0.221]
[$node_(223) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(224) [$ns_ node 0.0.222]
[$node_(224) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(225) [$ns_ node 0.0.223]
[$node_(225) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(226) [$ns_ node 0.0.224]
[$node_(226) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(227) [$ns_ node 0.0.225]
[$node_(227) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(228) [$ns_ node 0.0.226]
[$node_(228) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(229) [$ns_ node 0.0.227]
[$node_(229) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(230) [$ns_ node 0.0.228]
[$node_(230) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(231) [$ns_ node 0.0.229]
[$node_(231) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(232) [$ns_ node 0.0.230]
[$node_(232) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(233) [$ns_ node 0.0.231]
[$node_(233) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(234) [$ns_ node 0.0.232]
[$node_(234) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(235) [$ns_ node 0.0.233]
[$node_(235) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(236) [$ns_ node 0.0.234]
[$node_(236) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(237) [$ns_ node 0.0.235]
[$node_(237) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(238) [$ns_ node 0.0.236]
[$node_(238) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(239) [$ns_ node 0.0.237]
[$node_(239) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(240) [$ns_ node 0.0.238]
[$node_(240) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(241) [$ns_ node 0.0.239]
[$node_(241) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(242) [$ns_ node 0.0.240]
[$node_(242) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(243) [$ns_ node 0.0.241]
[$node_(243) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(244) [$ns_ node 0.0.242]
[$node_(244) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(245) [$ns_ node 0.0.243]
[$node_(245) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(246) [$ns_ node 0.0.244]
[$node_(246) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(247) [$ns_ node 0.0.245]
[$node_(247) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(248) [$ns_ node 0.0.246]
[$node_(248) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(249) [$ns_ node 0.0.247]
[$node_(249) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(250) [$ns_ node 0.0.248]
[$node_(250) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(251) [$ns_ node 0.0.249]
[$node_(251) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(252) [$ns_ node 0.0.250]
[$node_(252) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(253) [$ns_ node 0.0.251]
[$node_(253) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(254) [$ns_ node 0.0.252]
[$node_(254) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(255) [$ns_ node 0.0.253]
[$node_(255) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(256) [$ns_ node 0.0.254]
[$node_(256) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(257) [$ns_ node 0.0.255]
[$node_(257) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(258) [$ns_ node 0.0.256]
[$node_(258) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]

$ns_ node-config -wiredRouting ON

# foreign agents
$ns_ node-config -rxPower 3.0 -txPower 3.0
set node_(259) [$ns_ node 2.0.0]
[$node_(259) set regagent_] priority 1
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(260) [$ns_ node 3.0.0]
[$node_(260) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(261) [$ns_ node 4.0.0]
[$node_(261) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(262) [$ns_ node 5.0.0]
[$node_(262) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(263) [$ns_ node 6.0.0]
[$node_(263) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(264) [$ns_ node 7.0.0]
[$node_(264) set regagent_] priority 2
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(265) [$ns_ node 8.0.0]
[$node_(265) set regagent_] priority 1
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(266) [$ns_ node 9.0.0]
[$node_(266) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(267) [$ns_ node 10.0.0]
[$node_(267) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(268) [$ns_ node 11.0.0]
[$node_(268) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(269) [$ns_ node 12.0.0]
[$node_(269) set regagent_] priority 1

# source connection-pattern and node-movement scripts
source "mmh.scn"
source "mmh.com"

# Tell all nodes when the simulation ends
for {set i 0} {$i < 270 } {incr i} {
    $ns_ at 300.0 "$node_($i) reset";
}

# Progress
for {set t 10} {$t < 300} {incr t 10} {
    $ns_ at $t "puts stderr \"completed through $t/300 secs...\""
}

$ns_ at 0.0 "puts stderr \"Simulation started...\""
$ns_ at 300.0000 "puts stderr \"Simulation finished\""
$ns_ at 300.0001 "close $tracefd"
$ns_ at 300.0002 "exec run_plot_tp.sh mmh.tr 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258"
$ns_ at 300.0003 "$ns_ halt"

puts $tracefd "M 0.0 nn 270 x 100 y 75 rp NOAH"
puts $tracefd "M 0.0 sc mmh.scn cp mmh.com seed 0"

$ns_ run

