
set ns_ [new Simulator]
$ns_ node-config -addressType hierarchical

AddrParams set domain_num_ 13
lappend cluster_num 1 2 1 1 1 1 1 1 1 1 1 1 1
AddrParams set cluster_num_ $cluster_num
lappend eilastlevel 129 1 1 1 1 1 1 1 1 1 1 1 1 1
AddrParams set nodes_num_ $eilastlevel

set tracefd [open output/mmh.tr w]
$ns_ trace-all $tracefd

set topo [new Topography]
$topo load_flatgrid 100 75
set god_ [create-god 142]

# wired nodes
set node_(0) [$ns_ node 1.0.0]
set node_(1) [$ns_ node 1.1.0]

$ns_ node-config -mobileIP ON \
                  -adhocRouting NOAH \
                  -llType LL \
                  -macType Mac/802_11 \
                  -ifqType Queue/DropTail/PriQueue \
                  -ifqLen 50 \
                  -antType Antenna/OmniAntenna \
                  -propType Propagation/SimpleDistance \
                  -phyType Phy/WirelessPhy \
                  -channelType Channel/WirelessChannel \
	 	  -topoInstance $topo \
                  -wiredRouting ON \
		  -agentTrace ON \
                  -routerTrace OFF \
                  -macTrace ON

# home agents
$ns_ node-config -rxPower 0.01 -txPower 0.01
set node_(2) [$ns_ node 0.0.0]
[$node_(2) set regagent_] priority 4

$ns_ node-config -wiredRouting OFF

# mobile agents
$ns_ node-config -rxPower 126 -txPower 126
set node_(3) [$ns_ node 0.0.1]
[$node_(3) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(4) [$ns_ node 0.0.2]
[$node_(4) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(5) [$ns_ node 0.0.3]
[$node_(5) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(6) [$ns_ node 0.0.4]
[$node_(6) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(7) [$ns_ node 0.0.5]
[$node_(7) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(8) [$ns_ node 0.0.6]
[$node_(8) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(9) [$ns_ node 0.0.7]
[$node_(9) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(10) [$ns_ node 0.0.8]
[$node_(10) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(11) [$ns_ node 0.0.9]
[$node_(11) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(12) [$ns_ node 0.0.10]
[$node_(12) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(13) [$ns_ node 0.0.11]
[$node_(13) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(14) [$ns_ node 0.0.12]
[$node_(14) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(15) [$ns_ node 0.0.13]
[$node_(15) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(16) [$ns_ node 0.0.14]
[$node_(16) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(17) [$ns_ node 0.0.15]
[$node_(17) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(18) [$ns_ node 0.0.16]
[$node_(18) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(19) [$ns_ node 0.0.17]
[$node_(19) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(20) [$ns_ node 0.0.18]
[$node_(20) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(21) [$ns_ node 0.0.19]
[$node_(21) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(22) [$ns_ node 0.0.20]
[$node_(22) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(23) [$ns_ node 0.0.21]
[$node_(23) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(24) [$ns_ node 0.0.22]
[$node_(24) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(25) [$ns_ node 0.0.23]
[$node_(25) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(26) [$ns_ node 0.0.24]
[$node_(26) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(27) [$ns_ node 0.0.25]
[$node_(27) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(28) [$ns_ node 0.0.26]
[$node_(28) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(29) [$ns_ node 0.0.27]
[$node_(29) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(30) [$ns_ node 0.0.28]
[$node_(30) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(31) [$ns_ node 0.0.29]
[$node_(31) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(32) [$ns_ node 0.0.30]
[$node_(32) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(33) [$ns_ node 0.0.31]
[$node_(33) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(34) [$ns_ node 0.0.32]
[$node_(34) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(35) [$ns_ node 0.0.33]
[$node_(35) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(36) [$ns_ node 0.0.34]
[$node_(36) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(37) [$ns_ node 0.0.35]
[$node_(37) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(38) [$ns_ node 0.0.36]
[$node_(38) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(39) [$ns_ node 0.0.37]
[$node_(39) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(40) [$ns_ node 0.0.38]
[$node_(40) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(41) [$ns_ node 0.0.39]
[$node_(41) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(42) [$ns_ node 0.0.40]
[$node_(42) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(43) [$ns_ node 0.0.41]
[$node_(43) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(44) [$ns_ node 0.0.42]
[$node_(44) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(45) [$ns_ node 0.0.43]
[$node_(45) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(46) [$ns_ node 0.0.44]
[$node_(46) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(47) [$ns_ node 0.0.45]
[$node_(47) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(48) [$ns_ node 0.0.46]
[$node_(48) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(49) [$ns_ node 0.0.47]
[$node_(49) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(50) [$ns_ node 0.0.48]
[$node_(50) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(51) [$ns_ node 0.0.49]
[$node_(51) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(52) [$ns_ node 0.0.50]
[$node_(52) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(53) [$ns_ node 0.0.51]
[$node_(53) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(54) [$ns_ node 0.0.52]
[$node_(54) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(55) [$ns_ node 0.0.53]
[$node_(55) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(56) [$ns_ node 0.0.54]
[$node_(56) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(57) [$ns_ node 0.0.55]
[$node_(57) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(58) [$ns_ node 0.0.56]
[$node_(58) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(59) [$ns_ node 0.0.57]
[$node_(59) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(60) [$ns_ node 0.0.58]
[$node_(60) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(61) [$ns_ node 0.0.59]
[$node_(61) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(62) [$ns_ node 0.0.60]
[$node_(62) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(63) [$ns_ node 0.0.61]
[$node_(63) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(64) [$ns_ node 0.0.62]
[$node_(64) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(65) [$ns_ node 0.0.63]
[$node_(65) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(66) [$ns_ node 0.0.64]
[$node_(66) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(67) [$ns_ node 0.0.65]
[$node_(67) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(68) [$ns_ node 0.0.66]
[$node_(68) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(69) [$ns_ node 0.0.67]
[$node_(69) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(70) [$ns_ node 0.0.68]
[$node_(70) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(71) [$ns_ node 0.0.69]
[$node_(71) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(72) [$ns_ node 0.0.70]
[$node_(72) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(73) [$ns_ node 0.0.71]
[$node_(73) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(74) [$ns_ node 0.0.72]
[$node_(74) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(75) [$ns_ node 0.0.73]
[$node_(75) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(76) [$ns_ node 0.0.74]
[$node_(76) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(77) [$ns_ node 0.0.75]
[$node_(77) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(78) [$ns_ node 0.0.76]
[$node_(78) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(79) [$ns_ node 0.0.77]
[$node_(79) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(80) [$ns_ node 0.0.78]
[$node_(80) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(81) [$ns_ node 0.0.79]
[$node_(81) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(82) [$ns_ node 0.0.80]
[$node_(82) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(83) [$ns_ node 0.0.81]
[$node_(83) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(84) [$ns_ node 0.0.82]
[$node_(84) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(85) [$ns_ node 0.0.83]
[$node_(85) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(86) [$ns_ node 0.0.84]
[$node_(86) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(87) [$ns_ node 0.0.85]
[$node_(87) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(88) [$ns_ node 0.0.86]
[$node_(88) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(89) [$ns_ node 0.0.87]
[$node_(89) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(90) [$ns_ node 0.0.88]
[$node_(90) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(91) [$ns_ node 0.0.89]
[$node_(91) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(92) [$ns_ node 0.0.90]
[$node_(92) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(93) [$ns_ node 0.0.91]
[$node_(93) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(94) [$ns_ node 0.0.92]
[$node_(94) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(95) [$ns_ node 0.0.93]
[$node_(95) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(96) [$ns_ node 0.0.94]
[$node_(96) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(97) [$ns_ node 0.0.95]
[$node_(97) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(98) [$ns_ node 0.0.96]
[$node_(98) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(99) [$ns_ node 0.0.97]
[$node_(99) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(100) [$ns_ node 0.0.98]
[$node_(100) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(101) [$ns_ node 0.0.99]
[$node_(101) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(102) [$ns_ node 0.0.100]
[$node_(102) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(103) [$ns_ node 0.0.101]
[$node_(103) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(104) [$ns_ node 0.0.102]
[$node_(104) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(105) [$ns_ node 0.0.103]
[$node_(105) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(106) [$ns_ node 0.0.104]
[$node_(106) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(107) [$ns_ node 0.0.105]
[$node_(107) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(108) [$ns_ node 0.0.106]
[$node_(108) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(109) [$ns_ node 0.0.107]
[$node_(109) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(110) [$ns_ node 0.0.108]
[$node_(110) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(111) [$ns_ node 0.0.109]
[$node_(111) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(112) [$ns_ node 0.0.110]
[$node_(112) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(113) [$ns_ node 0.0.111]
[$node_(113) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(114) [$ns_ node 0.0.112]
[$node_(114) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(115) [$ns_ node 0.0.113]
[$node_(115) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(116) [$ns_ node 0.0.114]
[$node_(116) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(117) [$ns_ node 0.0.115]
[$node_(117) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(118) [$ns_ node 0.0.116]
[$node_(118) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(119) [$ns_ node 0.0.117]
[$node_(119) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(120) [$ns_ node 0.0.118]
[$node_(120) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(121) [$ns_ node 0.0.119]
[$node_(121) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(122) [$ns_ node 0.0.120]
[$node_(122) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(123) [$ns_ node 0.0.121]
[$node_(123) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(124) [$ns_ node 0.0.122]
[$node_(124) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(125) [$ns_ node 0.0.123]
[$node_(125) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(126) [$ns_ node 0.0.124]
[$node_(126) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(127) [$ns_ node 0.0.125]
[$node_(127) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(128) [$ns_ node 0.0.126]
[$node_(128) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(129) [$ns_ node 0.0.127]
[$node_(129) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]
$ns_ node-config -rxPower 126 -txPower 126
set node_(130) [$ns_ node 0.0.128]
[$node_(130) set regagent_] set home_agent_ [AddrParams set-hieraddr [$node_(2) node-addr]]

$ns_ node-config -wiredRouting ON

# foreign agents
$ns_ node-config -rxPower 3.0 -txPower 3.0
set node_(131) [$ns_ node 2.0.0]
[$node_(131) set regagent_] priority 1
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(132) [$ns_ node 3.0.0]
[$node_(132) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(133) [$ns_ node 4.0.0]
[$node_(133) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(134) [$ns_ node 5.0.0]
[$node_(134) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(135) [$ns_ node 6.0.0]
[$node_(135) set regagent_] priority 2
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(136) [$ns_ node 7.0.0]
[$node_(136) set regagent_] priority 2
$ns_ node-config -rxPower 30.0 -txPower 30.0
set node_(137) [$ns_ node 8.0.0]
[$node_(137) set regagent_] priority 1
$ns_ node-config -rxPower 20.0 -txPower 20.0
set node_(138) [$ns_ node 9.0.0]
[$node_(138) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(139) [$ns_ node 10.0.0]
[$node_(139) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(140) [$ns_ node 11.0.0]
[$node_(140) set regagent_] priority 1
$ns_ node-config -rxPower 5.0 -txPower 5.0
set node_(141) [$ns_ node 12.0.0]
[$node_(141) set regagent_] priority 1

# source connection-pattern and node-movement scripts
source "mmh.scn"
source "mmh.com"

# Tell all nodes when the simulation ends
for {set i 0} {$i < 142 } {incr i} {
    $ns_ at 300.0 "$node_($i) reset";
}

# Progress
for {set t 10} {$t < 300} {incr t 10} {
    $ns_ at $t "puts stderr \"completed through $t/300 secs...\""
}

$ns_ at 0.0 "puts stderr \"Simulation started...\""
$ns_ at 300.0000 "puts stderr \"Simulation finished\""
$ns_ at 300.0001 "close $tracefd"
$ns_ at 300.0002 "exec run_plot_tp.sh mmh.tr 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130"
$ns_ at 300.0003 "$ns_ halt"

puts $tracefd "M 0.0 nn 142 x 100 y 75 rp NOAH"
puts $tracefd "M 0.0 sc mmh.scn cp mmh.com seed 0"

$ns_ run

